#include "rtc.h"
#include "defines.h"

void rtc_init()
{
	CIIR    = 0;
	AMR     = (uint8_t) 0xFF;
	ILR     = (1 << 0) | (1 << 1);
	CCR     = (1 << 4);
	CCR    |= 1;
}

void rtc_setTime(uint8_t hour, uint8_t min, uint8_t sec)
{
	CCR &= ~1;
	HOUR = hour;
	MIN  = min;
	SEC  = sec;
	CCR |= 1;
}

void rtc_getTime(struct rtc_time* ptr)
{
	*((uint32_t*)ptr) = CTIME0;
}

void rtc_setDate(uint8_t day, uint8_t month, uint16_t year)
{
	CCR &= ~1;
	DOM   = day;
	MONTH = month;
	YEAR  = year;
	CCR |= 1;
}

void rtc_getDate(uint8_t *day, uint8_t *month, uint16_t *year)
{
	CCR &= ~1;
	*day   = DOM;
	*month = MONTH;
	*year  = YEAR;
	CCR |= 1;
}
