#ifndef RTC_H_
#define RTC_H_

#include <stdint.h>

#ifdef __cplusplus
	extern "C" {
#endif

struct rtc_time {
	uint32_t sec    :  6;
	uint32_t        :  2;
	uint32_t min    :  6;
	uint32_t        :  2;
	uint32_t hour   :  5;
	uint32_t        :  3;
	uint32_t dow    :  3;
	uint32_t        :  5; 
};

struct rtc_date {
	uint32_t day    :  5;
	uint32_t        :  3;
	uint32_t month  :  4;
	uint32_t        :  4;
	uint32_t year   : 12;
	uint32_t        :  4;
};

void rtc_init(void);

void rtc_setTime(uint8_t hour, uint8_t min, uint8_t sec);
void rtc_getTime(struct rtc_time* ptr);

void rtc_setDate(uint8_t day, uint8_t month, uint16_t year);
void rtc_getDate(uint8_t *day, uint8_t *month, uint16_t *year);

#ifdef __cplusplus
	}
#endif

#endif /*RTC_H_*/
